Last Comment Bug 260827 - NTLM Proxy Authentication required for every connection
: NTLM Proxy Authentication required for every connection
Status: RESOLVED EXPIRED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Windows 2000
: -- major with 1 vote (vote)
: ---
Assigned To: Blake Ross
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-21 11:18 PDT by Matt Bush
Modified: 2005-10-13 10:14 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Matt Bush 2004-09-21 11:18:35 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7) Gecko/20040707 Firefox/0.9.2
Build Identifier: Firefox 1.0PR, downloaded from http://www.mozilla.org/products/firefox/download.html?http%3A//ftp.mozilla.org/pub/mozilla.org/firefox/releases/0.10/Firefox%20Setup%201.0PR.exe

When using an NTLM-authenticated proxy, one must re-click the authentication OK
dialog (when using saved username/password) for every connection/element in a
given page.  This is/was not an issue in Firefox 0.9.2.  Downgrading to 0.9.2
fixes the problem.

Reproducible: Always
Steps to Reproduce:
1. Configure proxy settings
2. Attempt to connect to news.google.com
3. Enter proxy authentication credentials, click checkbox to save credentials,
click OK.
4. Be prompted for credentials, with username/password already filled out, for
every image on the page.

Actual Results:  
See reproduction steps.

Expected Results:  
It should have asked for credentials only once, then used saved credentials
without user interaction.
Comment 1 Nick Thomas [:nthomas] 2004-09-22 08:56:29 PDT
Dupe of bug 256949 ?
Comment 2 Gervase Markham [:gerv] 2005-09-27 01:45:37 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
Comment 3 Gervase Markham [:gerv] 2005-10-13 10:14:44 PDT
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.

Note You need to log in before you can comment on or make changes to this bug.